<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Групи</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/8.0.1/normalize.min.css"
        integrity="sha512-NhSC1YmyruXifcj/KFRWoC561YpHpc5Jtzgvbuzx5VozKpWvQ+4nXhPdFgmx8xqexRcpAglTj9sIBWINXa8x5w=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/magnific-popup.min.css"
        integrity="sha512-+EoPw+Fiwh6eSeRK7zwIKG2MA8i3rV/DGa3tdttQGgWyatG/SkncT53KHQaS5Jh9MNOT3dmFL0FjTY08And/Cw=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="/styles/style.css">
    <link rel="stylesheet" href="../static/styles/style.css">

<body>
    <header>
        <div class="header">
            <img src="/images/logo.png" alt="logo">
            <nav>
                <ul class="nav">
                    <li class="nav_item">
                        <a th:href="@{/}" class="nav_link">Головна</a>
                    </li>
                    <li class="nav_item">
                        <a th:href="@{/}" class="nav_link">Групи</a>
                    </li>
                    <li class="nav_item">
                        <a th:href="@{/specialities}"class="nav_link">Освітні програми</a>
                    </li>

                </ul>
            </nav>
            <a th:if="${user == null}" th:href="@{/login}" class="button_sign">Вхід</a>
            <form th:if="${user != null}" th:action="@{/logout}" method="post"><input type="submit" class="button_exit" value="Вихід"></form>
        </div>

    </header>
    <section>
        <div class="results">
            <div class="line">
            <h1>Групи</h1>
                <a th:if="${user != null}" href="#"  class="edit open-popup">Створити</a>
        </div>
            <! --------------------POP UP---------------->
            <div class="bottom-block"></div>

            <div class="popup-bg">
                <div class="popup">
                    <img class="close-popup" src="/images/close.png" alt="">
                    <form th:action="@{/create_groups}" th:method="post" enctype="multipart/form-data" accept-charset="UTF-8">
                        <input type="number" name="amount" placeholder="Кількість груп" value="1" min="1" required>
                        <input type="text" name="free" placeholder="Співвідношення бюджету">
                        <input type="text" name="contract" placeholder="Співвідношення контракту">
                        <select name="specialityId" class="form-control" required>
                            <option value="">Оберіть освітню програму:</option>
                            <option th:each="speciality : ${specialities}" th:value="${speciality.id}" th:text="${speciality.program}">Group</option>
                        </select>
                        <select name="baseId" class="form-control" required>
                            <option value="">Оберіть базу вступу:</option>
                            <option th:each="base : ${bases}" th:value="${base.id}" th:text="${base.name}">Group</option>
                        </select>
                        <!---Radio----->
                        <div class="checkbox">
                            <input name="mark" type="checkbox">
                            <span class="text">Баланс за балами</span>
                        </div>
                        <br>
                        <!----Radio----->
                        <!--FILE-------->

                        <label class="input-file">
                            <input type="file" name="file" required>
                            <span>Оберіть файл</span>
                        </label>
                        <div style="height: 10px;">

                        </div>

                        <!----------FILE----->
                        <input value="Зберегти" type="submit">
                    </form>
                </div>
            </div>
            <! --------------------POP UP---------------->
            <div class="gallery">
                <a th:each="group : ${groups}" class="album_list" th:href="@{/group/{id}(id=${group.id})}">
                    <h3 class="album_item" th:text="${group.name}">ПЗ-22-1</h3>
                </a>
            </div>
        </div>
    </section>

    <footer>
        <div class="tail">
            <p>©2022 Пацюки</p>
        </div>
    </footer>

    <script src="../static/js/jquery.min.js"></script>
    <script src="/js/jquery.min.js"></script>
    <script src="../static/js/main.js"></script>
    <script src="/js/main.js"></script>
    <script src="../static/js/file.js"></script>
    <script src="/js/file.js"></script>
</body>
</html>